ant-phone(1)

NAME
ant-phone - an interactive ISDN telephone application

SYNOPSIS
ant-phone [options]

DESCRIPTION
ant-phone is part of ANT (ANT is Not a Telephone). It let's you make and receive telephone calls and talk via sound devices. It uses ISDN4Linux ttyI devices.

OPTIONS
ant-phone accepts the following options:

-h, --help
    Show summary of options

-v, --version
    Print version information

-r, --cleanup
    Remove stale socket file left by accident by a previous run of ANT. You only need this option if ANT says: "local bind: Address already in use"

-d, --debug[=debuglevel]
    Print additional runtime debugging data to stdout, debuglevel = 1..2

-i, --soundin=device
    OSS compatible device for input (recording), default: /dev/dsp

-o, --soundout=device
    OSS compatible device for output (playback), default: /dev/dsp

-m, --msn=msn
    identifying MSN (for outgoing calls), 0 for master MSN of this termination/port, default: 0

-l, --msns=msns
    MSNs to listen on, semicolon-separated list or '*', default: *

-c, --call=number
    Make a running instance of ANT make a call to the specified number, useful for calling from an external address book application

NOTES
If the used sound devices (arguments of --soundin and --soundout) are equal, a full duplex sound device is needed.

FILES

~/.ant-phone/history
    the last dialed numbers

~/.ant-phone/options
    user specific options file

~/.ant-phone/callerid
    saved history of incoming and outgoing calls

BUGS
The GTK+ main loop consumes all the system CPU time. This is due to the Linux kernel select() call consuming the time while waiting for a completed data block. This only appears with some Linux kernel OSS drivers, not with ALSA.

AUTHORS
ANT was developed by Roland Stigge <stigge@antcom.de>, based on ideas from IVCALL, Copyright 2002 Lennart Poettering. G.711 handling by Sun Microsystems. Contributions by Joerg Mayer <jmayer@loplof.de>, Lars Volkhardt <Lars.Volkhardt@uni-konstanz.de>.